args <- commandArgs(TRUE)
x <- read.table(args[1])
pdf(args[2])
#visualize the profile with heatmap 
srt <- sort(x[,2],index.return=T) # sort by total number of reads
image(-t(log(as.matrix(x[srt$ix[1:nrow(x)],3:ncol(x)],nc=ncol(x)-2))),col=gray.colors(100))
dev.off()

